Bug 1549504 - perl-Event-Lib-1.03-35.fc29 FTBFS: Lib.xs:131:14: error: 'struct event' has no member named 'ev_arg'
Summary: perl-Event-Lib-1.03-35.fc29 FTBFS: Lib.xs:131:14: error: 'struct event' has n...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Event-Lib
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-27 09:48 UTC by Petr Pisar
Modified: 2018-04-13 14:17 UTC (History)
2 users (show)

Fixed In Version: perl-Event-Lib-1.03-37.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 14:17:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 124603 None None None 2018-02-27 10:00:16 UTC

Description Petr Pisar 2018-02-27 09:48:43 UTC
perl-Event-Lib-1.03-35.fc29 fails to build in F29:

gcc -c  -I/usr/include -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fstack-clash-protection -fwrapv -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fstack-clash-protection   -DVERSION=\"1.03\" -DXS_VERSION=\"1.03\" -fPIC "-I/usr/lib64/perl5/CORE"  -DHAVE_CONFIG_H -DHAVE_LOG_CALLBACKS -DHAVE_PRIORITIES  Lib.c
Lib.xs: In function 'refresh_event':
Lib.xs:131:14: error: 'struct event' has no member named 'ev_arg'; did you mean 'ev_fd'?
     args->ev.ev_arg = (void*)sv;
              ^~~~~~

This is caused by upgrading libevent-devel from 2.0.22-7.fc28 to 2.1.8-2.fc28.

Also Fedora 28 is affected.

Comment 2 Fedora Update System 2018-03-06 13:47:31 UTC
perl-Event-Lib-1.03-37.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-66d5557fbd

Comment 3 Fedora Update System 2018-03-08 15:25:57 UTC
perl-Event-Lib-1.03-37.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-66d5557fbd

Comment 4 Fedora Update System 2018-03-30 12:42:56 UTC
perl-Event-Lib-1.03-37.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.